Uploaded image for project: 'Weld'
  1. Weld
  2. WELD-1406

The weld-osgi-core-mandatory should import/export org.jboss.weld.interceptor

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: OSGi support
    • Labels:
      None

      Description

      Following the Weld-OSGi user guide (http://docs.jboss.org/weld/reference/1.2.0.Beta1/weld-osgi/user-guide/html/) with the latest 1.2.0-SNAPSHOT version,
      Starting the custom bundle is throwing the exception:

      16:13:32.164 [Gogo shell]    ERROR o.j.w.e.o.i.i.Weld - Initialization of Weld instance for bundle com.sample.hello-world-multilingual [10] caused an error: java.lang.NoClassDefFoundError: org/jboss/weld/interceptor/InterceptorBindingType 
      java.lang.NoClassDefFoundError: org/jboss/weld/interceptor/InterceptorBindingType
      

      This is because InterceptorBindingType class is used in weld-osgi-core-integration and the package is not imported in weld-osgi-core-integration nor exported in weld-osgi-core-mandatory

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                sunix Sun Seng David TAN
                Reporter:
                sunix Sun Seng David TAN
              • Votes:
                1 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: